/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package open.dolphin.client.labotestimporter;

/**
 *
 * @author tomohiro
 */
class LaboTestIsNotFinalReportException extends Exception {

    final LaboTestInformation laboTestInformation;

    public LaboTestIsNotFinalReportException(LaboTestInformation information) {
        super("");
        this.laboTestInformation = information;
    }
    public LaboTestIsNotFinalReportException(LaboTestInformation information, String message) {
        super(message);
        this.laboTestInformation = information;
    }
    public LaboTestInformation getLaboTestInformation() {
        return this.laboTestInformation;
    }
}
